Package org.apache.commons.codec.language.bm

# Interface Rule.PhonemeExpr

All Known Implementing Classes:
  `Rule.Phoneme`, `Rule.PhonemeList`

Enclosing class:
  `Rule`

public static interface Rule.PhonemeExpr
A phoneme expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterable<Rule.Phoneme>`
  `getPhonemes()`
  Gets an iteration of phonemes.
  `default int`
  `size()`
  Gets the expression size in phonemes.

- ## Method Details

  - ### getPhonemes

    Iterable<Rule.Phoneme> getPhonemes()
    Gets an iteration of phonemes.
    Returns:
      an iteration of phonemes.

  - ### size

    default int size()
    Gets the expression size in phonemes.
    Returns:
      the expression size in phonemes.
    Since:
      1.17.0